2014-07-27  Matthias Andree <matthias.andree@gmx.de>

  * Another release for the day.

    M	NEWS
    M	configure.ac

2014-07-27  Matthias Andree <matthias.andree@gmx.de>

  * BerliOS is dead, don't push to it.

    M	export.sh

  * New run_as_user global config options.
    This is to ease package build on unprivileged build clusters,
    suggested by Matěj Cepl.

    M	NEWS
    M	config.example
    M	config.table
    M	configure.ac
    M	configutil.c
    M	leafnode.8.in
    M	leafnode.h
    M	miscutil.c
    M	newsq.c

  * Ignore .autotools file from IDE.

    M	.gitignore

2014-07-24  Matěj Cepl <mcepl@cepl.eu>

  * Fix POD in tools/lsmac.pl.
    Signed-off-by: Matěj Cepl <mcepl@cepl.eu>

    M	tools/lsmac.pl

2013-07-10  Matthias Andree <matthias.andree@gmx.de>

  * Add NEWS for "Fix configfile comment handling for unquoted data."

    M	NEWS

  * Fix configfile comment handling for unquoted data.
    The configfile parser now strips whitespace between a configuration
    parameter's value and a trailing comment. Found by Cecil Westerhof.

    Forward-port from leafnode 1.11.11.

    M	configutil.c

2013-06-04  Matthias Andree <matthias.andree@gmx.de>

  * Work around broken IN6_IS_ADDR_V4MAPPED macro.
    Ubuntu 12.04 LTS ships with a broken eglibc 2.15 where some IN6*()
    macros from netinet/in.h access in6_addr members s6_addr32 that are not
    exposed in standards conforming mode (the macros should be looking at
    s6_addr[] instead).  #define _GNU_SOURCE to work around that by exposing
    the internal s6_addr32 members.

    Filed as https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1187301

    M	masock_sa2name.c

2012-11-01  Matthias Andree <matthias.andree@gmx.de>

  * Drop @configure_input@, already part of boilerplate.

    M	Makefile.am

  * Update/Add copyright.

    M	Makefile.am
    M	configure.ac

  * Replace proper path for leafnode in uninstall instructions.

    M	Makefile.am

2011-08-07  Matthias Andree <matthias.andree@gmx.de>

  * If reading group descriptions fails, don't touch the marker file, so we re-fetch them next time.

    M	NEWS
    M	fetchnews.c

  * Get ready for next snapshot.

    M	ChangeLog
    M	NEWS
    M	configure.ac

2011-08-07  Matthias Andree <matthias.andree@gmx.de>

  * Plug massive memory leak in fetchnews -f mode.

    M	fetchnews.c

  * whoami(): convert to use getaddrinfo().

    M	miscutil.c

  * Pull strlcpy into LIBOBJS again for use in miscutil.c.

    M	Makefile.am
    M	configure.ac
    A	strlcpy.3
    A	strlcpy.c
    A	strlcpy.h

  * Fix regression: Push branches, too, not just tags.

    M	export.sh

2011-08-06  Matthias Andree <matthias.andree@gmx.de>

  * Push tags, too.

    M	export.sh

  * Support newer Git versions.

    M	release.sh

  * Update ChangeLog.

    M	ChangeLog

  * Mark new release.

    M	NEWS

  * Make setgroups() visible on FreeBSD.

    M	ugid.h
    M	ugid_gset.c

  * Force compiler to C99 mode, ...
    ...as Solaris refuses to compile SUSv3+ programs with a pre-C99 compiler.

    M	configure.ac

  * #include <stddef.h> for proper NULL definition,
    to make Solaris happy.

    M	mailto.c

  * Use proper POSIX macro to make Solaris happy.

    M	fopen_reg.c

  * Drop obsolete IPv6 check (IPv6 is mandatory now.)

    M	configure.ac

  * Require SUSv3 and C99.

    M	.gitignore
    M	Makefile.am
    M	NEWS
    M	configure.ac
    M	fetchnews_check_date.c
    M	fopen_reg.c
    D	inet_ntop.c
    M	leafnode-version.c
    M	leafnode.h
    M	ln_log_open.c
    M	log_fchmod.c
    M	log_fsync.c
    M	masock_sa2addr.c
    M	masock_sa2name.c
    M	masock_sa2port.c
    M	miscutil.c
    D	mkstemp.c
    M	nfswrite.c
    M	nntpd.c
    M	nntputil.c
    M	sync_dir.c
    M	system.h
    M	ugid.h
    M	ugid_ggetbyuname.c
    M	ugid_gset.c
    M	ugid_ugetbyuname.c
    D	vsnprintf.c

2011-07-24  Matthias Andree <matthias.andree@gmx.de>

  * Add item

    M	TODO

2011-05-05  Matthias Andree <matthias.andree@gmx.de>

  * Block .fritz.box domains.

    M	validatefqdn.c

2011-05-28  Matthias Andree <matthias.andree@gmx.de>

  * Mention texpire -nC missing feature by Paul Brooks Late May 2011 from the list.

    M	TODO

2011-05-27  Matthias Andree <matthias.andree@gmx.de>

  * Bugfix: don't delete articles when texpire -n -C MessID is run.
    Found by Paul Brooks.

    M	NEWS
    M	texpire.c

2010-12-15  Matthias Andree <matthias.andree@gmx.de>

  * Mention leak fix in NEWS.

    M	NEWS

  * Plug memory leak in applyfilter().
    Reported 2010-12-14 by Paul Brooks through the mailing list.
    Analyzed with valgrind.

    M	applyfilter.c

2010-11-07  Matthias Andree <matthias.andree@gmx.de>

  * Ditch RETSIGTYPE and use void.

    M	configure.ac
    M	fetchnews.c
    M	nntpd.c
    M	nntputil.c
    M	timeout_getaline.c

2010-11-01  Matthias Andree <matthias.andree@gmx.de>

  * Fix types, fixup for e38d5d8d92fdddfe0d0f574bcce1d1cad7e39371

    M	fetchnews.c

  * Add -Wc++-compat.

    M	configure.ac

  * Make source code C++ compatible.

    M	nntpd.c
    M	store.c
    M	sync_dir.c

2010-10-24  Matthias Andree <matthias.andree@gmx.de>

  * Check actual send buffer rather than assuming |MID| < 90 bytes
    Found by Martin Brunzel.

    M	fetchnews.c

2010-01-26  Robert Grimm <rob@robgri.de>

  * Fix spelling in nntpd.c
    Signed-off-by: Robert Grimm <rob@robgri.de>

    M	nntpd.c

2010-01-16  Robert Grimm <rob@robgri.de>

  * Fix spelling in leafnode manual page
    Signed-off-by: Robert Grimm <rob@robgri.de>

    M	leafnode.8.in

2009-12-22  Matthias Andree <matthias.andree@gmx.de>

  * Improve config.example comments for expire=...

    M	NEWS
    M	config.example

2009-11-26  Matthias Andree <matthias.andree@gmx.de>

  * Skip over arbitrary amount of contiguous CR before LF.
    Reported by John R. Myers.

    M	NEWS
    M	getaline.c

2009-10-29  Matthias Andree <matthias.andree@gmx.de>

  * Do not use sizeof() in preprocessor directive.

    M	system.h

2009-09-08  Matthias Andree <matthias.andree@gmx.de>

  * Fix crash if no new active to merge. Reported by Paul Brooks.

    M	activutil.c

2009-05-14  Matthias Andree <matthias.andree@gmx.de>

  * Pack exported dir more aggressively.

    M	export.sh

2009-04-08  Matthias Andree <matthias.andree@gmx.de>

  * Create articles with mode 0660.
    Reported by Adam Funk.

    M	NEWS
    M	store.c

  * Fix up double void from commit caae3c5f.

    M	mastring.c

  * Document sort.c.

    M	sort.c

2009-04-07  Matthias Andree <matthias.andree@gmx.de>

  * Document mastring module (Doxygen).

    M	mastrcpy.c
    M	mastring.c
    M	mastring.h
    M	mastrncpy.c

  * Update NEWS/ChangeLog.

    M	ChangeLog
    M	NEWS

  * Minor fixes; newsgroups=ng now PCRE based.

    M	README.html

  * Fix formatting of filters.example note.

    M	filterfile.5.in

  * Notify user that make update is only for ancient leafnode <1.6.

    M	Makefile.am

2009-04-06  Matthias Andree <matthias.andree@gmx.de>

  * Complete update instructions.

    M	Makefile.am

  * lsort: Fix error detection and reporting.
    If open fails, print file path and errno message.
    Check for write errors, and if there are any, abort writing
    and exit with EXIT_FAILURE.

    M	lsort.c

  * Makefile: revise upgrade instructions.

    M	Makefile.am

  * make update: run script properly; depend on lsort.
    Run update.sh with $(SHELL) (in case it's not executable)
    and from $(top_srcdir) for VPATH builds.
    Properly escape arguments.

    Make update depends on up-to-date lsort, just in case.

    M	Makefile.am

  * Assorted update.sh fixes.
    Create lockfile safer and with PID.
    Restore groupinfo backup if lsort fails.
    chmod groupinfo and other files to 0660 (not 0664).
    Use EXIT (0) trap to get rid of lockfile.

    M	update.sh

  * Fix lsort to use def_spooldir (not spooldir).
    This fixes fallout from this
    commit e8b618172a32789de6ca4c237b3a1cc65949e253
    Author: Matthias Andree <matthias.andree@gmx.de>
    Date:   2004-01-16 18:28:06 +0100

        Drop lockfile. Rename config.c's spooldir to def_spooldir.

    Reported by Adam Funk who found that "make update" no longer worked and
    complained that it could not open groupinfo.old.

    M	lsort.c

  * Mark update.sh executable.

    M	update.sh

  * Fix mastr_unfold: Insert NUL byte, adjust len.

    M	mastring.c

2009-04-01  Matthias Andree <matthias.andree@gmx.de>

  * Build RPMs for i586 (rather than i486).

    M	Makefile.am

  * Drop obsolete --with-runas-group option from RPM build.

    M	leafnode.spec.in

  * Remind user to update NEWS.

    M	release.sh

2009-03-27  Matthias Andree <matthias.andree@gmx.de>

  * note leafnode-1 support for leafnode-version -v.

    M	leafnode-version.c

2009-03-24  Matthias Andree <matthias.andree@gmx.de>

  * Untested attempt to fix HEADER.html for Perl Regexp metas.

    M	addpatches.pl

  * Merge commit 'origin/master'

  * Refuse posting to newsd, to avoid dupe floods
    Newsd unconditionally overwrites Message-IDs in posted articles (which
    is bad practice), so we cannot detect that posting has been successful
    and also cannot obtain the new Message-ID, so don't post to newsd
    servers. The upstream, EasySW, has known the bug for years.

    M	NEWS
    M	nntputil.c

2009-03-09  Matthias Andree <matthias.andree@gmx.de>

  * Don't use gmtoff() for UTC-mktime, but tzset().

    M	fetchnews_check_date.c

2009-01-12  Matthias Andree <matthias.andree@gmx.de>

  * Fix typo in comment.

    M	fetchnews.c

2009-01-12  Robert Grimm <rob@robgri.de>

  * Make multiple use of -S Server work again
    Signed-off-by: Robert Grimm <rob@robgri.de>

    M	fetchnews.c

2008-12-30  Matthias Andree <matthias.andree@gmx.de>

  * Fix %doc macro list (I forgot to remove FAQ.css), reported by Attila H.

    M	leafnode.spec.in

  * Clean up some dnl macros that ate the trailing LF, breaking RPMSRC tests.

    M	configure.ac

2008-12-29  Matthias Andree <matthias.andree@gmx.de>

  * Use mutt instead of nail.

    M	release.sh

  * Update ChangeLog (after tagging, sorry.)

    M	ChangeLog

  * Get ready for plain 20081229a release.

    M	NEWS
    M	configure.ac

  * Makefile.am: $(SYSCONFDIR) -> $(sysconfdir) - the former is undefined.

    M	Makefile.am

  * Use HEVEA (rather than TeX4ht) for generation.
    The latter isn't available as FreeBSD port.

    M	Makefile.am

2008-12-18  Matthias Andree <matthias.andree@gmx.de>

  * Properly repack GIT repo; set max. pack size 1 MB.

    M	export.sh

2008-11-27  Matthias Andree <matthias.andree@gmx.de>

  * Document rm -f leafnode-version: moved from $(sbindir) to $(bindir)

    M	Makefile.am

2008-11-25  Matthias Andree <matthias.andree@gmx.de>

  * Run repack before pushing.

    M	export.sh

  * Change authentication logging to server: username "USER"
    Change: when logging authentication trouble, don't use username@servername
    format but rather server: username "username", to make output less irritating.
    (Related support request by Gianni Piccini.)

    M	NEWS
    M	nntputil.c

2008-11-20  Matthias Andree <matthias.andree@gmx.de>

  * Improve the rnews manual page.
    Add documentation on understood compressed batch formats.
    Add subsections (.SS) somewhere and change some .B to \fB...\fR to reduce
      clutter.

    M	NEWS
    M	rnews.8.in

  * Add tagging helper script.

    A	tag.sh

  * Fix typo in GIT homepage URL (git.or.cz rather than ...gz).

    M	NEWS

  * Improve changes-to-be-committed check with git status -a.

    M	release.sh

  * Update ChangeLog for release 20081120a.

    M	ChangeLog

  * Fix spacing.

    M	makechangelog.sh

  * Release 20081120a.

    M	NEWS
    M	configure.ac

  * Revamp output format to more closely resemble former.

    M	makechangelog.sh

  * Push to BerliOS.de as well.

    M	export.sh

2008-11-16  Matthias Andree <matthias.andree@gmx.de>

  * Make default spooldir /var/spool/leafnode rather than .../news.

    M	CHANGES-FROM-LEAFNODE-1
    M	NEWS
    M	configure.ac

2008-11-13  Matthias Andree <matthias.andree@gmx.de>

  * Mention Rob's mutual-exclusion fix for fetchnews -S and -f.

    M	NEWS

  * Drop repo migration (done), comment on bogofilter hook.

    M	TODO

  * Migrate from DARCS to GIT.

    D	.boring
    A	.gitignore
    M	export.sh
    D	makechangelog.pl
    A	makechangelog.sh
    M	release.sh

2008-11-12  Matthias Andree <matthias.andree@gmx.de>

  * Update for Doxygen 1.5.6
    Ignore-this: 4779bc150726c58361217c94e27fa157

    M	Doxyfile

  * Document rob's excl_arg_seen flag.
    Ignore-this: 7d5ebeb2b8e3f3959dc1ce3454ba64d9

    M	fetchnews.c

2008-11-12  Robert Grimm <rob@robgri.de>

  * Make options -S and -f mutually exclusive.

    M	fetchnews.8.in
    M	fetchnews.c

2008-11-10  Matthias Andree <matthias.andree@gmx.de>

  * TAG leafnode-2-0-0-alpha20081110a

  * Finalize for 2.0.0.alpha20081110a snapshot.

    M	ChangeLog
    M	NEWS
    M	configure.ac

  * Add one more host.

    M ./.rsyncs +1

  * u_char -> unsigned char

    M ./NEWS +2
    M ./arc4random.c -3 +3
    M ./arc4random.h -1 +1
    M ./mergesort.c -15 +15

  * Shorten (split) string literals for C90 conformance.

    M ./applyfilter.c +2
    M ./fetchnews.c -3 +4
    M ./newsq.c -1 +2
    M ./rnews.c -1 +2
    M ./texpire.c -1 +2

2008-11-06  Matthias Andree <matthias.andree@gmx.de>
  * Record two new tasks: VCS migration and version tag for spooldir

    M ./TODO +5

2008-10-21  Matthias Andree <matthias.andree@gmx.de>
  * Fix formatting of filters.example.note in leafnode(8).

    M ./leafnode.8.in -3 +3

2008-10-02  Matthias Andree <matthias.andree@gmx.de>
  * Record recent filters.example fix in NEWS.

    M ./NEWS +4

  * add prominent warnings that filters.example is not intended to be used as is

    M ./filterfile.5.in -1 +2
    M ./filters.example +6
    M ./leafnode.8.in -1 +2

  * reformat PCRE alternatives example/warning

    M ./filters.example -2 +2

  * fix filters.example - bad weather had inverted logic

    M ./filters.example -1 +1

2008-09-18  Matthias Andree <matthias.andree@gmx.de>
  * mention case sensitive matching default of PCRE's, update pcrepattern(3) reference

    M ./NEWS +5
    M ./filterfile.5.in -6 +14

2008-09-04  Matthias Andree <matthias.andree@gmx.de>
  * Use constant initializers to make code compile on C89 compilers.

    M ./fetchnews.c -1 +2

2008-09-04  rob@robgri.de
  * Cleanup
  Moved check for occurence of ':' in argument to -S to split_serverarg.
  Make split_serverarg more common.
  Removed unneeded variable.

    M ./fetchnews.c -21 +21

2008-09-04  Matthias Andree <matthias.andree@gmx.de>
  * Update tex4ht commands after teTeX -> TeXLive 2007 migration (openSUSE 10.2 -> 11.0)

    M ./Makefile.am -2 +2

  tagged leafnode-2-0-0-alpha20080904a


  * snapshot 20080904a

    M ./ChangeLog +68
    M ./NEWS -2 +3
    M ./configure.ac -1 +1

2008-09-04  Matthias Andree <matthias.andree@gmx.de>
  * reduce scope of portno variable

    M ./fetchnews.c -10 +13

  * more documentation for split_serverarg

    M ./fetchnews.c -1 +5

  * formatting: write empty blocks { } and add spaces in control statements

    M ./activutil.c -5 +5
    M ./fetchnews.c -4 +4
    M ./mastring.c -2 +2
    M ./nntpd.c -1 +1

2008-09-03  Robert Grimm <rob@robgri.de>
  * Allow server:port syntax with fetchnews -S.
  The given portnumber is used now.
  Added new function split_serverarg to keep process_options clear.

    M ./fetchnews.c -21 +37

2008-09-01  Robert Grimm <rob@robgri.de>
  * Allow specification of port number with -S
  By now the given port is ignored.

    M ./fetchnews.c -3 +25

2008-08-13  matthias.andree@gmx.de
  * Update Doxyfile for doxygen 1.5.5 (automatic doxygen -u).

    M ./Doxyfile -62 +206

  * Fix indentation to clarify code.

    M ./fetchnews.c -13 +14

  * patch Robert Grimm: support multiple servers with fetchnews -S.

    M ./NEWS +5
    M ./configutil.c -5 +5
    M ./fetchnews.c -10 +23
    M ./leafnode.h +2

  * Revert -S <server> being specified more than once.

    M ./NEWS -4
    M ./fetchnews.8.in -1 +2

2008-08-10  Matthias Andree <matthias.andree@gmx.de>
  * Do not suggest fetchnews's -S option could be specified more than once.

    M ./NEWS +4
    M ./fetchnews.8.in -2 +1

2008-06-24  Matthias Andree <matthias.andree@gmx.de>
  * do not consider files starting with a dot boring

    M ./.boring -1

  * add rsyncs file

    A ./.rsyncs

  * Update ChangeLog.

    M ./ChangeLog -1 +9

  * further ChangeLog cleanups

    M ./ChangeLog -7 +2

  * add various pieces to ChangeLog

    M ./ChangeLog +46

   * drop AC_FUNC_SETVBUF_REVERSED, mysetvbuf* and thereabouts. Obsolete.

    M ./Makefile.am -1
    M ./configure.ac -4
    M ./fetchnews.c -2 +1
    R ./mysetvbuf.c
    R ./mysetvbuf.h
    M ./nntpd.c -2 +1

  tagged leafnode-2-0-0-alpha20080624a


  * update for 2008 snapshot

    M ./ChangeLog +30
    M ./NEWS +3

  * escalate feedtype logging to INFO severity

    M ./fetchnews.c -2 +2

  * Update copyright and version for first 2008 snapshot.

    M ./AUTHORS -1 +1
    M ./configure.ac -2 +2

  * Run darcs changes without -v to omit hunks from changelog.

    M ./makechangelog.pl -1 +1

  * improve logging around posting articles

    M ./fetchnews.c -3 +7

  * reformat: add blank between switch and parenthesis

    M ./fetchnews.c -1 +1

  * make action_method_seen a boolean variable

    M ./fetchnews.c -1 +1

  * add more TODO items: pipeline group desc updates, add bogofilter hook

    M ./TODO +5

2007-06-02  Matthias Andree <matthias.andree@gmx.de>
  * Update ChangeLog to 20070602a.

    M ./ChangeLog +48

  tagged leafnode-2-0-0-alpha20070602a


  * Bump version to 20070602a.

    M ./NEWS -1 +1
    M ./configure.ac -2 +2

  * Bump copyright notice.

    M ./applyfilter.c -1 +1

  * detail regression of applyfilter -n

    M ./NEWS -2 +3

  * Improve some applyfilter error messages.

    M ./NEWS +1
    M ./applyfilter.c -3 +3

  * applyfilter fix to allow dryrun mode, reported by Clemens Fischer

    M ./NEWS +4
    M ./applyfilter.c -2 +2

2007-01-09  Matthias Andree <matthias.andree@gmx.de>
  * Revise change message after Clemens Fischer sought clarification.

    M ./NEWS -2 +2

2007-01-08  Matthias Andree <matthias.andree@gmx.de>
  * Add a helpful hint.

    M ./release.sh -1 +1

  * Use quotes to make shell happier.

    M ./release.sh -2 +2

  * Ask user if he's updated ChangeLog.

    M ./release.sh +9

  * Update 20070108a Changelog.

    M ./ChangeLog +20

  tagged leafnode-2-0-0-alpha20070108a


  * Snapshot 20070108a.

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

2007-01-07  Matthias Andree <matthias.andree@gmx.de>
  * Fix crash when reading filter files with inverted NG matches. Reported by Wolfgang Bauer.

    M ./NEWS +2
    M ./filterutil.c -3 +2

2007-01-05  Matthias Andree <matthias.andree@gmx.de>
  * update to first 2007 release

    M ./ChangeLog +50

2007-01-03  Matthias Andree <matthias.andree@gmx.de>
  * Document inadvertent autoconf 2.60 change.

    M ./NEWS +1

  * 20070103 EXEEXT build fix

    M ./NEWS +3

  * Fix compilation on systems with non-empty EXEEXT (such as Cygwin).

    M ./Makefile.am -2 +2

  * Add some files.

    M ./.boring +4

2007-01-01  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20070101a


  * Snapshot 20070101a.

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Document no_direct_spool.

    M ./NEWS +4
    M ./leafnode.8.in +7

2006-12-04  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20061204a


  * Bump version to 20061204a.

    M ./configure.ac -1 +1

  * Fix error handling in getarticle(), avoiding skipping current server when none of the upstream articles in a group can be fetched.

    M ./NEWS -1 +3
    M ./fetchnews.c -5 +8

2006-10-15  Matthias Andree <matthias.andree@gmx.de>
  * Bugfix: use proper prototype for mastring.h's mastr_cat. Reported by Georg Schwarz.

    M ./NEWS +4
    M ./mastring.h -1 +1

2006-10-09  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20061010a


  * Roll up 20061010a.

    M ./ChangeLog +14
    M ./NEWS +4
    M ./configure.ac -1 +1

  * Use config_defs.h for liblnutil.a, but don't distribute it.

    M ./Makefile.am -1 +2

  * Mention precedence for groupexpire.

    M ./leafnode.8.in -1 +2

2006-09-08  Matthias Andree <matthias.andree@gmx.de>
  * Amend to TODO.

    M ./TODO +7

2006-08-31  Matthias Andree <matthias.andree@gmx.de>
  * update changelog for 20060831a

    M ./ChangeLog +13

  * Add moderators(5). Support %%. Support empty moderator.

    M ./Makefile.am +1
    M ./NEWS +8
    M ./configure.ac -2 +2
    M ./moderated.c -17 +51
    A ./moderators.5.in

2006-08-26  Matthias Andree <matthias.andree@gmx.de>
  * Snapshot 20060826a Changelog.

    M ./ChangeLog +58

  * Snapshot 20060826a.

    M ./NEWS -2 +2
    M ./configure.ac -1 +1

2006-08-15  Matthias Andree <matthias.andree@gmx.de>
  * Skip to next server after fatal error.

    M ./NEWS +1
    M ./fetchnews.c -5 +10

  * Handle 423 and other 4XX replies to ARTICLE properly. Reported by Martin Brunzel.

    M ./NEWS +2
    M ./fetchnews.c -1 +4

2006-08-13  Matthias Andree <matthias.andree@gmx.de>
  * Document Interrupted system call.

    M ./FAQ.tex +5

2006-07-17  Matthias Andree <matthias.andree@gmx.de>
  * Mention _usr docs.

    M ./NEWS -1 +2

  * Comment out _usr macro.

    M ./leafnode.spec.in -2 +2

  * Document additional _usr.

    M ./leafnode.spec.in +7

2006-07-16  Matthias Andree <matthias.andree@gmx.de>
  * Update .spec.in to pass non-standard prefixes to %configure and use License, not Copyright.

    M ./NEWS +4

  * Don't pass --target=i486 on non-X86 machines.

    M ./Makefile.am -1 +2

  * Update .spec.in to pass non-standard prefixes to %configure and use License, not Copyright.
  Reported by Kevin Bulgrien.

    M ./leafnode.spec.in -15 +17

2006-07-11  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20060711a


  * Release 20060711a.

    M ./ChangeLog +61
    M ./NEWS -1 +1
    M ./configure.ac -2 +2

  * Fix two memory leaks when reading new newsgroups fails. Found by Stroller.

    M ./NEWS +2
    M ./fetchnews.c +2

  * Critmalloc does not return NULL, no need to check.

    M ./configutil.c -12 +10

  * Plug memory leak in global config items that strdup().

    M ./NEWS +4
    M ./configutil.c +10

2006-07-06  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20060706a


  * Bump version to 20060706a for release.

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Bugfix: On corrupted active files without line breaks, avoid reading past EOF.

    M ./NEWS +2
    M ./getaline.c -1 +3

  * Beautify code.

    M ./getaline.c -2 +2

  * Security Bugfix: Fix off-by-one error in getabufferedline().

    M ./NEWS +1
    M ./getaline.c -1 +1

  * Update Copyright.

    M ./getaline.c -1 +1

2006-06-09  Matthias Andree <matthias.andree@gmx.de>
  * Do not misreport lockfile exists for other locking failures.
  Reported by Troy Piggins.

    M ./NEWS +4
    M ./applyfilter.c -1
    M ./checkgroups.c -1
    M ./fetchnews.c -2
    M ./lockfile.c +3
    M ./rnews.c -1
    M ./texpire.c -1 +1

  tagged leafnode-2-0-0-alpha20060608b


2006-06-08  Matthias Andree <matthias.andree@gmx.de>
  * Update ChangeLog.

    M ./ChangeLog +88

  * Bump version.

    M ./configure.ac -1 +1

  * Add README-FQDN.

    M ./Makefile.am -2 +13
    M ./NEWS +4
    A ./README-FQDN.tex

  * Revert Bugfix from 20060608a for the nonce, does more harm than good.

    M ./NEWS -1 +7
    M ./TODO -1 +8
    M ./applyfilter.c -2 +2
    M ./checkgroups.c -2 +2
    M ./fetchnews.c -2 +2
    M ./leafnode.h -2 +2
    M ./miscutil.c -4 +3
    M ./newsq.c -2 +2
    M ./nntpd.c -3 +3
    M ./rnews.c -2 +2
    M ./texpire.c -2 +2
    M ./validatefqdn.c -3 +3

  tagged leafnode-2-0-0-alpha20060608a


  * Bump version to 20060608a.

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Bugfix: hostname=n.m overrides b0rked local DNS.

    M ./NEWS +2
    M ./applyfilter.c -2 +2
    M ./checkgroups.c -2 +2
    M ./fetchnews.c -2 +2
    M ./leafnode.h -2 +2
    M ./miscutil.c -3 +4
    M ./newsq.c -2 +2
    M ./nntpd.c -3 +3
    M ./rnews.c -2 +2
    M ./texpire.c -2 +2
    M ./validatefqdn.c -3 +3

2006-05-14  Matthias Andree <matthias.andree@gmx.de>
  * texpire -C now shows angle brackets and quotes around the MID.

    M ./NEWS +4
    M ./texpire.8.in -2 +2

2006-05-06  Matthias Andree <matthias.andree@gmx.de>
  * Make mktemp -d more portable (FreeBSD).

    M ./Makefile.am -1 +1

2006-04-30  Matthias Andree <matthias.andree@gmx.de>
  * re-indent release.sh

    M ./release.sh -20 +20

  * Drop obsolete snprintf declaration.

    M ./leafnode.h -4

2006-04-30  matthias.andree@gmx.de
  * Add a few casts to make the code valid C++.

    M ./activutil.c -1 +1
    M ./getaline.c -1 +1
    M ./nntpd.c -2 +2

2006-04-28  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20060428a


  * Bump version.

    M ./NEWS -1 +1

  tagged leafnode-2-0-0-alpha20060428a


  * Snapshot 2.0.0.alpha20060428a.

    M ./ChangeLog +15
    M ./configure.ac -1 +1

  * Forward port fqdn validation list from upcoming leafnode 1.11.6 (RFC-2606 and other crap.)

    M ./NEWS +3
    M ./validatefqdn.c -2 +24

2006-04-24  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20060424a


  * Snapshot 2.0.0.alpha20060424a

    M ./ChangeLog +41
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * fix typos in comments

    M ./activutil.c -2 +2
    M ./nntpd.c -1 +1

  * donew_common() rereads active files
  This makes changes to group.info or local.groups visible immediately for
  NEWGROUPS or NEWNEWS commands.

    M ./NEWS +3
    M ./nntpd.c +2

  * TODO item: combine regexps with boolean operations?

    M ./TODO +1

  * differentiate between "cannot connect" and "timeout connecting"

    M ./NEWS +2
    M ./nntputil.c -3 +5

  * watch st_dev field on active files, too

    M ./NEWS +5
    M ./activutil.c -2 +6

  * typo: special -> specific

    M ./README.html -1 +1

2006-03-21  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20060321a


  * Snapshot 2.0.0.alpha20060321a

    M ./ChangeLog +46
    M ./NEWS -1 +2
    M ./configure.ac -1 +1

2006-03-20  Matthias Andree <matthias.andree@gmx.de>
  * fix rsync option (use -H to keep hard links)

    M ./FAQ.tex -1 +1
    M ./NEWS +1

  * make space non-breaking

    M ./FAQ.tex -1 +1

  * tex4ht doesn't cope with pdftex option, remove it

    M ./FAQ.tex -1 +1

  * Tweak PDF generation.

    M ./FAQ.tex +7
    M ./Makefile.am -2 +2

  * fix typo, as -> are

    M ./FAQ.tex -1 +1

2006-03-16  Matthias Andree <matthias.andree@gmx.de>
  * Allow expiring a subset of grups.

    M ./NEWS +4
    M ./texpire.8.in -2 +10
    M ./texpire.c -3 +20

2006-03-03  Matthias Andree <matthias.andree@gmx.de>
  * Call expiregroup with group list.

    M ./texpire.c -3 +2

2005-11-15  Matthias Andree <matthias.andree@gmx.de>
  * Drop -v option from nail command to suppress a worthless DSN.

    M ./release.sh -1 +1

  tagged leafnode-2-0-0-alpha20051115a


  * Update for 2.0.0.alpha20051115a snapshot.

    M ./ChangeLog +42

  * Bump version to 2.0.0.alpha20051115a.

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * properly discard body of article if it has no valid newsgroups

    M ./NEWS +3
    M ./fetchnews.c +1
    M ./store.c -1 +5

  * Reformat documentation.

    M ./store.c -2 +3

2005-11-14  Matthias Andree <matthias.andree@gmx.de>
  * Fix RPM build after FAQ -> FAQ.{pdf|html|css} change

    M ./NEWS +1
    M ./leafnode.spec.in -3 +3

  * ship FAQ.pdf

    M ./Makefile.am +1
    M ./NEWS +1

2005-11-13  Matthias Andree <matthias.andree@gmx.de>
  * Omit rnews path from its program name. Patch by Niels Baggesen.

    M ./NEWS +4
    M ./rnews.c -1 +1

  tagged leafnode-2-0-0-alpha20051113a


  * Update for 20051113a.

    M ./ChangeLog +44
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

2005-11-11  Matthias Andree <matthias.andree@gmx.de>
  * fix NEWNEWS/NEWGROUPS parsing. Patch by Niels Baggesen.

    M ./NEWS -1 +3
    M ./nntpd.c -11 +18

  * Fix compile warnings. Patch by Niels Baggesen.

    M ./CREDITS +1
    M ./fetchnews.c +2

2005-11-10  Matthias Andree <matthias.andree@gmx.de>
  * Mention only_groups_pcre requires fetchnews -f

    M ./leafnode.8.in +3

2005-10-16  Matthias Andree <matthias.andree@gmx.de>
  * Use full name of Roy Dayan's.

    M ./NEWS -1 +1

  * Use official .example or .example.TLD in 'server =' lines.

    M ./NEWS +2
    M ./config.example -6 +7

  * Remove dontpost from manual. Fround by "Roi".

    M ./NEWS +2
    M ./config.example -1 +1
    M ./leafnode.8.in -3

  * FAQ revised and switched into HTML/PDF formats.

    R ./FAQ
    A ./FAQ.tex
    M ./Makefile.am -1 +13
    M ./NEWS +4

2005-09-17  Matthias Andree <matthias.andree@gmx.de>
  * Update.

    M ./ChangeLog +69

2005-09-14  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050914a


  * Bump version to 2.0.0.alpha20050914a

    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Split overlong strings for C89 compliance.

    M ./nntpd.c -3 +3

  * don't log Unknown option for missing argument.

    M ./nntpd.c -1 +3

  * fix leafnode -e, sf.net bug 1248682

    M ./NEWS +2
    M ./leafnode.8.in -1 +6
    M ./nntpd.c -9 +15

  * Properly log mailto() result.

    M ./NEWS +2
    M ./nntpd.c -2 +6

  * Fix documentation of return value of mailto().

    M ./mailto.c -1 +1

2005-09-07  Matthias Andree <matthias.andree@gmx.de>
  * set (rather than toggle) -e stderr logging

    M ./NEWS +1
    M ./miscutil.c -1 +1

  * Mention that patterns understand quoting.

    M ./NEWS +4

  * Mention that patterns understand quoting.

    M ./filterfile.5.in -8 +9

2005-09-03  Matthias Andree <matthias.andree@gmx.de>
  * comment %s expansion in moderator address.

    M ./moderated.c +3

2005-08-15  Matthias Andree <matthias.andree@gmx.de>
  * update

    M ./CHANGES-FROM-LEAFNODE-1 +11

  * Add note that chmod -R on the spool can take a long time.

    M ./Makefile.am -1 +2

2005-08-10  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050810a


  * snapshot 20050810a.

    M ./ChangeLog +40
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Robustness: map article no.s that are error codes to 1.

    M ./fetchnews.c -1 +8

  * fix "-2" in server's group/article no file

    M ./NEWS +3
    M ./fetchnews.c -1 +4

2005-07-29  Matthias Andree <matthias.andree@gmx.de>
  * Propagate error greeting banners from servers to the user.

    M ./NEWS +4
    M ./nntputil.c +9

2005-07-27  Matthias Andree <matthias.andree@gmx.de>
  * Add Sourceforge RFE 1244705

    M ./TODO +5

2005-06-09  Matthias Andree <matthias.andree@gmx.de>
  * Add CAN-2005-1911.

    M ./TODO +4

2005-05-17  Matthias Andree <matthias.andree@gmx.de>
  * Drop valgrind notice, 2.4.0 is fine %-)

    M ./NEWS -1

2005-05-14  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050514a


  * snapshot leafnode-2.0.0.alpha20050514a

    M ./ChangeLog +17
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Fix empty upstream group detection.

    M ./NEWS +2
    M ./fetchnews.c -1 +3

2005-05-11  Matthias Andree <matthias.andree@gmx.de>
  * Record Debian wishlist #307685, Nikolaus Rath, 2005-05-04.

    M ./TODO +16

2005-05-10  Matthias Andree <matthias.andree@gmx.de>
  * Give up on current server quicker if we go out of synch.

    M ./NEWS +5
    M ./fetchnews.c -14 +26

2005-04-22  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050422a


  * snapshot leafnode-2.0.0.alpha20050422a

    M ./ChangeLog +49
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Fix UTF-8.

    M ./ChangeLog -2 +2

  * Add -s option to darcs changes.

    M ./makechangelog.pl -1 +1

2005-04-21  Matthias Andree <matthias.andree@gmx.de>
  * Fix segfault on g == NULL in doexpiregroup().

    M ./NEWS +2
    M ./texpire.c -1 +2

2005-04-20  Matthias Andree <matthias.andree@gmx.de>
  * Fix two national characters.

    M ./CREDITS -2 +2

  * Add Matěj Cepl's sendbatch(1)/leafnode-version(1) manual pages.

    M ./CREDITS +1
    M ./Makefile.am +2
    M ./NEWS +4
    M ./configure.ac -1 +2
    A ./leafnode-version.1.in
    A ./sendbatch.1.in

2005-04-17  Matthias Andree <matthias.andree@gmx.de>
  * Ditch obsolete comments about recovery.

    M ./README.html -12

  * Update web addresses

    M ./AUTHORS -2 +1
    M ./README.html -3 +5
    M ./nntpd.c -1 +1

2005-04-12  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050412a


  * snapshot leafnode-2.0.0.alpha20050412a

    M ./ChangeLog +37
    M ./configure.ac -1 +1

  * Add newsq -f mode.

    M ./NEWS -1 +3
    M ./TODO -3 +4
    M ./newsq.1.in -1 +7
    M ./newsq.c -3 +53

2005-04-04  Matthias Andree <matthias.andree@gmx.de>
  * rename NEWS to NEWS.txt

    M ./release.sh -1 +2

2005-04-02  Matthias Andree <matthias.andree@gmx.de>
  * revise NEWS a bit

    M ./NEWS -7 +10

2005-03-24  Matthias Andree <matthias.andree@gmx.de>
  * drop README_FIRST from .spec file
  Breaks the build, reported by William Hooper.

    M ./CREDITS +1
    M ./NEWS +4
    M ./leafnode.spec.in -1 +1

  * Converted to UTF-8.

    M ./NEWS -9 +9

  tagged leafnode-2-0-0-alpha20050324a


  * snapshot leafnode-2.0.0.alpha20050324a.

    M ./ChangeLog +60
    M ./configure.ac -1 +1

  * Fix compiler warning.

    M ./fetchnews.c -1 +2

  * Revise help output and manual pages (copyrights).

    M ./NEWS -2 +3
    M ./applyfilter.8.in -40 +14
    M ./applyfilter.c -10 +6
    M ./checkgroups.8.in -20 +10
    M ./checkgroups.c -7 +12
    M ./fetchnews.8.in -40 +15
    M ./fetchnews.c -24 +19
    M ./leafnode.8.in -10 +26
    M ./leafnode.h +8
    M ./newsq.1.in -3 +15
    M ./newsq.c -7 +7
    M ./rnews.8.in -24 +8
    M ./rnews.c -6 +6
    M ./texpire.8.in -35 +16
    M ./texpire.c -11 +9

  * Bugfix: the deleted-articles journal was always empty.

    M ./NEWS +2
    M ./artutil.c -3 +6

2005-03-23  Matthias Andree <matthias.andree@gmx.de>
  * Revise manual pages, with help from Dietrich Schaffer.

    M ./CREDITS +1
    M ./NEWS -1 +5
    M ./applyfilter.8.in -1 +1
    M ./checkgroups.8.in -4 +5
    M ./configure.ac -1 +1
    M ./fetchnews.8.in -2 +3
    M ./filterfile.5.in -3 +3
    M ./leafnode.8.in -3 +3
    M ./newsq.1.in -5 +4
    M ./rnews.8.in -4 +3
    M ./texpire.8.in -3 +2

2005-03-21  Matthias Andree <matthias.andree@gmx.de>
  * remove obsolete UPDATING file

    M ./release.sh -1 +1

  tagged leafnode-2-0-0-alpha20050321a


  * Fix GCC v4 warnings.

    M ./fetchnews.c -1 +1
    M ./mailto.c -1 +1

  * snapshot leafnode-2.0.0.alpha20050321a

    M ./ChangeLog +61
    M ./configure.ac -1 +1

  * keep journal of articles to be masked in overview
  when deleting articles (supersedes, cancel, ...) and we don't rebuild
  the overview right away, store a line in a new file that marks the
  corresponding overview line invalid, so that the article is no longer
  offered in the overview, to maintain scalability with lots of deletes.
  Cancelled articles still showing up in overview reported by Jörg Lüders.

    M ./NEWS +4
    M ./artutil.c -1 +28
    M ./xoverutil.c -3 +35

  * Fix formatting problem.

    M ./leafnode.8.in -1 +1

  * Change: configuration parser understands quoted right-hand side. (forward port)

    M ./NEWS +3
    M ./configutil.c -31 +46
    M ./filterfile.5.in +6
    M ./leafnode.8.in -3 +29

2005-03-13  Matthias Andree <matthias.andree@gmx.de>
  * remove obsolete README_FIRST

    M ./Makefile.am -1
    R ./README_FIRST

  * kutilek-README-bug - update README.html

    M ./NEWS +4
    M ./README.html -35 +31

2005-03-10  Matthias Andree <matthias.andree@gmx.de>
  * add new items to TODO list

    M ./TODO +10

2005-03-01  Matthias Andree <matthias.andree@gmx.de>
  * add two new TODO ideas

    M ./TODO -1 +7

  * mention PAM is implemented

    M ./TODO -1 +3

2005-02-15  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050215a


  * snapshot leafnode-2.0.0.alpha20050215a

    M ./ChangeLog +38
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Mention Supersedes design flaw.

    M ./TODO +9

  * log if there is nothing to post in postonly mode

    M ./NEWS +1
    M ./fetchnews.c -1 +4

2005-02-04  Matthias Andree <matthias.andree@gmx.de>
  * Add note that curl needs -L

    M ./index.html -4 +4

  * Strip X-Leafnode-NNTP-Posting-Host from POST input if log_poster_ip is set.

    M ./NEWS +5
    M ./nntpd.c +4

2005-01-17  Matthias Andree <matthias.andree@gmx.de>
  * remove obsolete UPDATING file

    M ./Makefile.am -1
    R ./UPDATING

2005-01-10  Matthias Andree <matthias.andree@gmx.de>
  tagged leafnode-2-0-0-alpha20050110a


  * snapshot leafnode-2.0.0.alpha20050110a

    M ./ChangeLog +91
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Drop unused variable.

    M ./redblack.c -1

  * fix texpire abort with DEBUG_EXPIRE set

    M ./NEWS +1
    M ./xoverutil.c -1 +1

2005-01-09  Matthias Andree <matthias.andree@gmx.de>
  * Bugfix: even if groupexpire is < 0 to mean "no expire", fix overview and check consistency.

    M ./NEWS +2
    M ./texpire.c -9 +8

  * make "kept" a local variable

    M ./texpire.c -5 +7

  * minor cleanup, move pointer up front

    M ./leafnode.h -1 +1

  * fix groupexpire with negative value to "no expire"

    M ./NEWS +2
    M ./configutil.c -1 +1

2005-01-09  matthias.andree@gmx.de
  * time_t vs long int fixes.

    M ./fetchnews.c -1 +1
    M ./fetchnews_check_date.c -1 +1
    M ./nntpd.c -2 +2

2005-01-08  Matthias Andree <matthias.andree@gmx.de>
  * GROUP and LIST ACTIVE without pattern keep an interesting group interesting.

    M ./nntpd.c -1 +4

  * Unbreak compile, remove dead rcsid reference.

    M ./redblack.c -2

2005-01-05  Matthias Andree <matthias.andree@gmx.de>
  * Get rid of RCS/CVS keywords and their expansions.

    M ./Makefile.am -1
    M ./README.html -3
    M ./checkgroups.8.in -2
    M ./configure.ac -1
    M ./fetchnews.8.in -2
    M ./leafnode.8.in -2
    M ./leafnode.h -1
    M ./redblack.c -62
    M ./redblack.h -59
    M ./texpire.8.in -2

  * document negative groupexpires mean no expire

    M ./leafnode.8.in -1 +2

  * move $(GENERATED_MANS) to DISTCLEANFILES

    M ./Makefile.am -3 +1

  * compatibility fix for older pod2man tools

    M ./Makefile.am -1 +1

  * Cleanup: Only use top-level Makefile.am, drop recursion.

    M ./Makefile.am -4 +20
    M ./NEWS +3
    M ./configure.ac -1 +1
    R ./tools/Makefile.am

  * Update rpm builder for RPM 4.

    M ./Makefile.am -1 +1

  * Drop newsq.pl.

    M ./tools/Makefile.am -1
    R ./tools/newsq.pl

  tagged leafnode-2-0-0-alpha20050105a


  * snapshot leafnode-2.0.0.alpha20050105a

    M ./ChangeLog +77
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * do not export unrecorded changes

    M ./export.sh +2

  * Drop semi-broken applyfilter -C option. texpire -C works better.

    M ./NEWS +2
    M ./applyfilter.8.in -8
    M ./applyfilter.c -15 +3

  * Mention store() bugfix.

    M ./NEWS +3

  * delete_article also removes articles from in.coming directory

    M ./NEWS +3
    M ./artutil.c -24 +36

  * do not create message.id link unless there was at least one valid newsgroup

    M ./store.c +2

  * is_alllocal->is_localgroup (no difference for single group)

    M ./store.c -1 +1

2005-01-04  Matthias Andree <matthias.andree@gmx.de>
  * add link to leafnode-2 home page

    M ./index.html -3 +4

  * Add darcs send --sign example.

    M ./index.html -1 +2

  * speed up operation with heaps o' litter in source dir

    M ./export.sh -1 +2

  * exclude dox directory from rsync

    M ./export.sh +1

  * barf on first error

    M ./export.sh +1

  * clean up after announcement

    M ./release.sh -1 +3

  * Edit HEADER.html after adding the new lines.

    M ./release.sh -1 +1

  * Fix indentation of RELEASE line.

    M ./release.sh -1 +1

  * Mark Doxygen output directory (dox) boring.

    M ./.boring +1

  tagged leafnode-2-0-0-alpha20050104a


  * snapshot leafnode-2.0.0.alpha20050104a

    M ./ChangeLog +60
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * update RELEASE semi-automatically

    M ./release.sh +4

  * Add a new cancel mode to texpire (-C option).

    M ./NEWS +4
    M ./texpire.8.in +8
    M ./texpire.c -19 +43

  * cleanup

    M ./texpire.8.in -1 +1

  * drop obsolete NOTES section

    M ./texpire.8.in -5

  * add missing diagnostic to Xref parser

    M ./artutil.c -1 +1

  * add fourth argument to delete_article, updatexover (Boolean)

    M ./applyfilter.c -2 +2
    M ./artutil.c -11 +3
    M ./leafnode.h -1 +6
    M ./store.c -3 +3

  * update Doxygen stuff for 1.4.0

    M ./Doxyfile -29 +1053
    M ./b_sortnl.c -1 +1
    M ./bsearch_range.c -1 +1
    M ./fetchnews.c -1 +1
    M ./fopen_reg.c -1 +1
    M ./masock_sa2name.c -1 +1
    M ./midutil.c -1 +1
    M ./mkdir_parent.c -1 +1
    M ./nntpd.c -1 +1
    M ./parserange.c -1 +1
    M ./store.c -2 +3
    M ./strcasestr.c -2 +2

  * rename sort -> ln_sort to avoid collision with C++ algo

    M ./activutil.c -3 +3
    M ./leafnode.h -1 +1
    M ./xoverutil.c -1 +1

  * Update copyrights.

    M ./AUTHORS -1 +1
    M ./configure.ac -2 +2
    M ./localutil.c +3
    M ./store.c -2 +2

2005-01-03  Matthias Andree <matthias.andree@gmx.de>
  * snapshot 20050103a.

    M ./ChangeLog +32
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Fix up broken groupinfo reader bugfix.
  Yesterday's Bugfix "do not crash if the groupinfo file is empty" caused
  a fallback to the old groupinfo reader and emits one bogus warning about
  a malformatted #A ... group line.

    M ./NEWS +2
    M ./activutil.c +1

  * demote "checking for new newsgroups" to INFO severity for syslog

    M ./fetchnews.c -1 +1

2005-01-02  Matthias Andree <matthias.andree@gmx.de>
  * sort numerically, not lexicographically.

    M ./nntpd.c -3 +8

  * Get LISTGROUP article numbers from directory rather than overview.

    M ./NEWS +5
    M ./nntpd.c -8 +16

  * do not complain about added files.

    M ./release.sh -1 +1

  * snapshot 20050102a

    M ./ChangeLog +51
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * Fix article marks. Reported by Frank Wein.

    M ./CREDITS +1
    M ./NEWS +5
    M ./activutil.c -2
    M ./fetchnews.c -13 +15
    M ./store.c -3 +10

  * bump group marks for empty groups

    M ./texpire.c -1 +3

  * add two comments

    M ./activutil.c -2 +2

  * Bugfix: do not crash if the groupinfo file is empty

    M ./NEWS +1
    M ./activutil.c -2 +2

  * Clean up reporting of -1 article mark.

    M ./activutil.c -3 +4

  * Clean up insertgroup().

    M ./activutil.c -7 +1

  * Report line numbers on problems with local.groups file.

    M ./localutil.c -1 +4

2004-12-30  Matthias Andree <matthias.andree@gmx.de>
  * Use AC_CACHE_SAVE before common exit points.

    M ./NEWS +3
    M ./configure.ac +5

2004-12-28  Matthias Andree <matthias.andree@gmx.de>
  * Do not offer pseudo articles for local groups.

    M ./nntpd.c -1 +1

2004-12-27  Matthias Andree <matthias.andree@gmx.de>
  * snapshot 20041227a

    M ./ChangeLog +31
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

  * plug minor filterfile memory leak

    M ./NEWS +1
    M ./applyfilter.c +1
    M ./nntpd.c +1
    M ./rnews.c +1

2004-12-27  Lloyd Zusman <ljz@asfast.com>
  * Fix double free() of buffer.

    M ./xoverutil.c -1

2004-12-27  Matthias Andree <matthias.andree@gmx.de>
  * fix xgetxover() memory leak

    M ./NEWS +4
    M ./xoverutil.c -1 +5

2004-12-23  Matthias Andree <matthias.andree@gmx.de>
  * clean up temporary files

    M ./release.sh -3 +1

2004-12-15  Matthias Andree <matthias.andree@gmx.de>
  * snapshot leafnode-2.0.0.alpha20041215a

    M ./ChangeLog +64
    M ./NEWS -1 +1
    M ./configure.ac -1 +1

2004-12-13  Matthias Andree <matthias.andree@gmx.de>
  * ignore tags/TAGS

    M ./.boring +2

  * filter new postings
  Filters, if defined, are also matched against new postings, which will
  be rejected when the filter decides "kill". To support "local-groups-only"
  setups as asked for by Lloyd Zusman.

    M ./NEWS +3
    M ./nntpd.c +35

  * readheaders split-out
  Split readheaders and readtodelim out into a separate file.
  Move MAXHEADERSIZE to leafnode.h.
  Change readheaders API so it takes the delimiter as argument.

    M ./Makefile.am +1
    M ./applyfilter.c -68 +1
    M ./leafnode.h +9
    A ./readheaders.c

  * Add short instruction file for the new DARCS repo.

    A ./index.html

  * Split repository export to export.sh

    A ./export.sh
    M ./release.sh -10 +2

  * update for darcs

    M ./release.sh -1 +10

  tagged leafnode-2-0-0-alpha20041213a


  * bump version

    M ./configure.ac -1 +1

  * Ignore build*

    M ./.boring +1

  tagged leafnode-2-0-0-alpha20041213a


  * Update for darcs.

    M ./release.sh -3 +3

  * Add new changelog generator script.

    A ./makechangelog.pl

  * snapshot-20041213a

    M ./.boring +1
    M ./ChangeLog +44
    M ./NEWS -1 +2

2004-12-04  Matthias Andree <matthias.andree@gmx.de>
  * ignore generated files

    M ./.boring +22

  * Add more ignore entries.

    M ./.boring +4

  * convert .cvsignore to .boring
  we now have regexps rather than globs and use one global file for the
  whole repository.

     ./.cvsignore -> ./.boring
    M ./.boring -87 +17
    R ./tools/.cvsignore

  tagged initial darcs import
  (repository converted to darcs)

2004-11-17  Matthias Andree <matthias.andree@gmx.de>
  * Change: More useful logging when getting the range of articles in a
  Change: More useful logging when getting the range of articles in a
  group, now includes the server name.
  

    M ./NEWS +2
    M ./fetchnews.c -17 +20

2004-11-15  Matthias Andree <matthias.andree@gmx.de>
  * add missing word

    M ./NEWS -1 +1

2004-11-15  Matthias Andree <matthias.andree@gmx.de>
  * Bugfix: get rid of cosmetic "Groupinfo file damaged, ignoring line: 18"
  Bugfix: get rid of cosmetic "Groupinfo file damaged, ignoring line: 18"
  Change: when complaining about damaged groupinfo file, print the line number
  and encapsulate the line in double quotes.
  

    M ./NEWS +5
    M ./activutil.c -3 +5

2004-11-13  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20041113a =
	* NEWS, activutil.c:
	- Speedup: the active file now has a header line that contains the
	number of lines. leafnode can read both the old format (requires two
	passes) and the new format (requires one pass).
	- Speedup: the active file is now mmapped, rather than read, into
	memory.  Patch by Robert Clark.
	* getaline.c, leafnode.h: Add getabufferedline, based on a patch by
	Robert Clark.
	* CREDITS: List Robert Clark.  Convert to UTF-8.

2004-10-07  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20041007a =
	* NEWS, nntpd.c: leafnode will no longer print the moderator of
	local groups in the newsgroup list.  leafnode will make sure that a
	moderated group has the ' (Moderated)' tag in its description.
	* activutil.c, NEWS: fetchnews will flag groups as moderated if the
	reported status flag is 'y' but the group has the tag '
	(Moderated)'.

2004-10-06  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20041006a =
	* fetchnews.c: Quench ICC 8.1 warning.
	* NEWS, README.html: Use netmask, not prefix length, in
	tcpd/hosts.allow example.  Reported by Gundemarie Scholz.

2004-09-30  Matthias Andree <matthias.andree@gmx.de>

	* texpire.c: Fix 'kept' counters in texpire -a mode. Reported by
	Robert Marshall.

2004-09-28  Matthias Andree <matthias.andree@gmx.de>

	* NEWS: Reformat version headers to Prereq: for patch would work.
	* texpire.8.in, texpire.c: Add texpire -a option to expire
	article-based rather than thread-based.

2004-09-20  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040920a =
	* xoverutil.c: Initialize xfirst/xlast properly if running without
	fixxover flag.  Fixes XOVER and other trouble retrieving articles
	reported by Jack Raats and Robert Clark.

2004-09-16  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040916a =
	* ChangeLog, NEWS, configure.ac: Snapshot 20040916a
	* xoverutil.c: Drop dead code, make rebuilding overview information
	optional for efficiency.
	* applyfilter.c, nntpd.c, texpire.c: Chase getxover() removal.
	* Makefile.am: Add new sgetcwd function.  Use cmp -s to avoid
	irritating cmp output during build.
	* leafnode.h: Add new sgetcwd function.  Drop getxover function.
	* sgetcwd.c, sgetcwd.h: Add new sgetcwd function.

2004-09-15  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040915b =
	* configure.ac: Bump version.
	* CREDITS, NEWS, config.example, leafnode.8.in, nntputil.c: Bugfix:
	A timeout while connecting to a server (default 30 seconds) caused
	fetchnews to abort and print "Alarm clock." Reported by Michael
	Rulov.  Change: the fetchnews connect timeout now applies to each of
	the server's addresses.

2004-09-13  Matthias Andree <matthias.andree@gmx.de>

	* README.html: Mention debug info and that the file needs to be
	created.
	* texpire.c: Bugfix: legalxoverline() considered all overview lines
	broken, because it did not skip over the TAB before the Xref: header
	tag.

2004-09-12  Matthias Andree <matthias.andree@gmx.de>

	* NEWS, texpire.8.in: Update texpire man page.
	* texpire.8.in: Rewrite explanation for -f option. Suggested by
	Robert Marshall.

2004-09-01  Ralf Wildenhues <ralf.wildenhues@gmx.de>

	* configure.ac, fetchnews.c: configure.ac: add AC_PROG_CC_C_O to
	placate automake-1.9a.  fetchnews.c: fix format string bug.

2004-08-31  Matthias Andree <matthias.andree@gmx.de>

	* TODO: Update.

2004-08-23  Matthias Andree <matthias.andree@gmx.de>

	* CREDITS: Add Andreas Kneib for a good laugh.
	* ChangeLog, NEWS, configure.ac: 2.0.0.alpha20040823b

	= snapshot 20040823b =
	* fetchnews.c: Revert plausibility tests to not abort. Found by
	Jack Raats.

	= snapshot 20040823a =
	* NEWS: Clean up around timeout_delaybody.
	* NEWS, configure.ac: 20040823a
	* NEWS, config.example, config.table, configutil.c, fetchnews.c,
	leafnode.8.in, leafnode.h: Implement timeout_delaybody. Suggested
	by Cory C. Albrecht.
	* nntputil.c: Use server-specific timeout as timeout for connecting
	and reading the banner.
	* leafnode.8.in: document timeout_client
	* configutil.c: Consistent debug mode logging, all server-specific
	options now PREfixed with server name.
	* Makefile.am: Revise post-install message.

2004-08-22  Matthias Andree <matthias.andree@gmx.de>

	* NEWS, fetchnews.c: Quit from getgroup if only_group_pcre is set.
	Reported by Cory C. Albrecht.
	* NEWS, configutil.c: Cleanup ln_log -> ln_log_sys for
	LNLOG_SDEBUG, for consistency.
	* leafnode.8.in: Escape a backslash.
	* filterfile.5.in: Revise man page now that everything is a PCRE.
	Reported by Jörg Lüders.
	* fetchnews.8.in, leafnode.8.in: pcre(7) -> pcre(3)

2004-08-20  Matthias Andree <matthias.andree@gmx.de>

	* fetchnews.c:
	(getmarked) Diagnose write errors on the group.name file.
	(getmarked) Initialize failed-list early to avoid overhead
	(getmarked) Don't write the error message (getbymsgid clobbers l)
	but the real information.
	* configutil.c:
	(freeconfig) Free spooldir.

2004-08-19  Matthias Andree <matthias.andree@gmx.de>

	* fetchnews.c: Add diagnostics for fetching marked articles.
	* config.example, leafnode.8.in: Reword hostname documentation.
	* NEWS, fetchnews.c, nntpd.c: Expire interesting.group delaybody
	articles after time, not after 4 retries.
	* Makefile.am, expire_lookup.c, leafnode.h, texpire.c: Split
	lookup_expire into an own file.

2004-08-18  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, NEWS, configure.ac: 2.0.0.alpha20040818a

	= snapshot 20040818a =
	* fetchnews.c: Handle old interesting.groups files without retry
	counter.
	* leafnode.h: Add COUNT_OF macro.
	* fetchnews.c: Handle retry count in interesting.groups files.  Fix
	FILE* clobber and double fclose on garbage at end of
	interesting.groups lines.
	* nntpd.c: Store a retry count of 0 into interesting.groups files
	for delaybody.
	* mastring.c, mastring.h: Add mastr_ncpy (untested).

2004-08-15  Matthias Andree <matthias.andree@gmx.de>

	* config.example, config.table, configutil.c, fetchnews.c,
	leafnode.8.in, leafnode.h: Forward port noread feature from
	leafnode-1.

2004-08-14  Matthias Andree <matthias.andree@gmx.de>

	* CHANGES-FROM-LEAFNODE-1, Makefile.am: Add CHANGES-FROM-LEAFNODE-1
	file

2004-08-13  Matthias Andree <matthias.andree@gmx.de>

	* nntpd.c:
	(fopenart) Log errors (other than ENOENT) when opening articles.
	(fopenart) Drop an if branch that is never executed.

	= snapshot 20040813a =
	* ChangeLog, NEWS, configure.ac: snapshot 20040813a
	* applyfilter.8.in, fetchnews.8.in, filterfile.5.in, leafnode.8.in,
	rnews.8.in, texpire.8.in: Fix path of $(sysconfdir) files. Reported
	by Cory C. Albrecht.

2004-07-22  Matthias Andree <matthias.andree@gmx.de>

	* TODO: high water mark issue

2004-07-06  Matthias Andree <matthias.andree@gmx.de>

	* fetchnews.c: Disable moving articles to failed.postings for now.
	* activutil.c, activutil.h, activutil_resolve.c, applyfilter.c,
	arc4random.c, artutil.c, b_sortnl.c, bsearch_range.c,
	cmp_firstcolumn.c, fetchnews.c, filterutil.c, getline.c,
	interesting.c, leafnode.h, link_force.c, localutil.c, lockfile.c,
	miscutil.c, nntpd.c, redblack.c, sort.c, store.c, strutil.c,
	t.mgetheader.c, xoverutil.c: Misc. minor fixes to the code is also
	valid C++.
	* Makefile.am: Suppress bogus error message.

2004-06-29  Matthias Andree <matthias.andree@gmx.de>

	* NEWS, texpire.c: Bugfix: restoring hard links didn't work for
	cross-posted articles.  Reported by Jeff Grossman.

2004-06-22  Matthias Andree <matthias.andree@gmx.de>

	* texpire.c: Cleanup: legalxover line no longer modifies the XOVER
	information.

2004-05-18  Matthias Andree <matthias.andree@gmx.de>

	* TODO: Note Andreas Kneib's suggestion.

2004-05-13  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040513a =
	* fetchnews.c: Fix memory leak in postarticles when no active file
	is present.  Authenticate if GROUP command responds with 480.
	* fetchnews_check_date.c: check_date: fix logic bug/bogus "too few
	fields in DATE reply"
	* log_fchmod.c: log_fchmod: Revise log message.
	* activutil.c: mvactive: Fix memory leak.

2004-05-10  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040510a =
	* configure.ac: Do not check for gethostbyaddr/-name, we don't use
	#ifdefs for these.  Bump version.
	* applyfilter.c: Don't segfault when article has no discernible
	Message-ID: header. Reported by Robert Marshall.
	* artutil.c: Include system.h
	* leafnode.h, system.h: Mark _GNU_SOURCE
	* leafnode.h: Fix splint comment.
	* Makefile.am: Add t.mgetheader.c.  Let rsync target work for VPATH
	builds.
	* configure.ac: Fed through autoupdate.
	* t.mgetheader.c: Add mgetheader check.
	* strcasestr.c: Add replacement strcasestr() function.
	* artutil.c: Bigfix: mgetheader: Use strcasestr, reported by Robert
	Marshall.
	* activutil.c, fetchnews_check_date.c: Cast is*() argument to
	unsigned char.
	* miscutil.c: Make ln_log argument and format string consistent.
	* nntpd.c: Revise PAM code, set PAM_RUSER and PAM_RHOST.
	* system.h: Add prototype for strcasestr.

2004-05-03  Matthias Andree <matthias.andree@gmx.de>

	* filters.example: Fix filterfile section, was 8, is now 5.
	Reported by Reiner Steib.

2004-03-29  Matthias Andree <matthias.andree@gmx.de>

	* midutil.c: Add a comment about Cygwin.

2004-03-27  Matthias Andree <matthias.andree@gmx.de>

	* Makefile.am, NEWS: Speed up installation: do not run chmod -R on
	spool automatically.

2004-03-26  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, Makefile.am, NEWS, configure.ac: 2.0.0.alpha20040326a

	= snapshot 20040326a =
	* fetchnews.c: Drop too relaxed umask.
	* miscutil.c: Set minimum umask.
	* Makefile.am, activutil.c, checkgroups.c, fetchnews.c, leafnode.h,
	miscutil.c, nntpd.c: Change permission handling. No world
	permissions whatsoever.

2004-03-24  Matthias Andree <matthias.andree@gmx.de>

	* Makefile.am: Relax group permissions.
	* TODO: update
	* Makefile.am, miscutil.c: Relax group permissions.

2004-03-20  Matthias Andree <matthias.andree@gmx.de>

	* NEWS: mention stringlist change
	* NEWS, config.example: ln_log_stderronly is bogus, we use logstderr.
	Patch by Thomas Schwinge.

2004-03-19  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, configure.ac: Snapshot 20040319a.

	= snapshot 20040319a = (withdrawn)
	* NEWS, nntpd.c: Fix SIGSEGV when XPAT, XHDR or NEWNEWS are issued
	without arguments.  slrn does such non-sense. Reported by Robert
	Grimm.

2004-03-14  Matthias Andree <matthias.andree@gmx.de>

	* NEWS: Correct the #include log.

2004-03-10  Matthias Andree <matthias.andree@gmx.de>

	* tools/lsmac.pl: Mention more explicitly that the file name's
	"mac" letters and the column ordering  do not match.

2004-03-05  Matthias Andree <matthias.andree@gmx.de>

	= snapshot 20040305a =
	* fetchnews.c: Running fetchnews with the -S switch would falsely
	file out.going articles into failed.postings. Bug found by Robert
	Marshall.

2004-03-04  Matthias Andree <matthias.andree@gmx.de>

	* TODO, fetchnews.c: Work around abort when the first server has
	"noactive" set.

2004-03-01  Ralf Wildenhues <ralf.wildenhues@gmx.de>

	* configure.ac, ugid_gset.c: Portability fix for linux: setgroups
	needs sys/types.h and grp.h.

2004-03-01  Matthias Andree <matthias.andree@gmx.de>

	* addpatches.pl, release.sh: Local, site-specific release helpers
	stored in CVS.
	* pam.d_leafnode: Sample file for PAM, not being shipped for it
	uses system accounts.

2004-02-28  Matthias Andree <matthias.andree@gmx.de>

	* configutil.c: Refuse to start when an unknown or unsupported
	authentication method is configured.

2004-02-27  Matthias Andree <matthias.andree@gmx.de>

	* CREDITS: Credit Hynek.
	* ChangeLog, NEWS, README.html, configure.ac: snapshot 20040227a.

	= snapshot 20040227a =
	* leafnode.h, leafnode-2/leafnode.h: Fix incomplete type in
	stringlistnode, for C89 compatibility.  Support PAM, based on
	Hynek's patch, with modifications and documentation added.
	* config.example, configure.ac, configutil.c, leafnode.8.in,
	nntpd.c, leafnode-2/config.example, leafnode-2/configure.ac,
	leafnode-2/configutil.c, leafnode-2/leafnode.8.in,
	leafnode-2/nntpd.c: Import PAM, based on Hynek's patch, with
	modifications and documentation added.
	* genconfigdefs.awk, leafnode-2/genconfigdefs.awk: Suppress
	trailing comma.
	* ugid_gset.c, leafnode-2/ugid_gset.c: Clear supplementary group
	IDs.

2004-02-26  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, leafnode-2/ChangeLog: update
	* fetchnews.c, leafnode-2/fetchnews.c: getaline -> mgetaline for
	all NNTP-related reads, to fix undetected timeouts.  rename
	_ignore_answer to ignore_answer.

2004-02-18  Matthias Andree <matthias.andree@gmx.de>

	* TODO, leafnode-2/TODO: Clarify two items after preliminary
	discussion with Jörg Dietrich. Subject to further change!

2004-02-17  Matthias Andree <matthias.andree@gmx.de>

	* .cvsignore, leafnode-2/.cvsignore: Add semantic.cache per hynek's
	request.
	* NEWS, leafnode-2/NEWS: update
	* ChangeLog, leafnode-2/ChangeLog: update
	* TODO: posting vs. approved
	* fetchnews.c, grouplist.c, grouplist.h, leafnode.h, miscutil.c,
	nntpd.c, texpire.c: Stringlist reformation patch. stringlists now
	use a sentinel element as first (head) and last (tail) element.
	Bugfix: -M will now be able to try the same Message-ID on more than
	one server (reported by Daniel Zwick).  Feature: Unfetched articles
	from -M options are now logged at the end of the run.

2004-02-16  Matthias Andree <matthias.andree@gmx.de>

	* Makefile.am: Use grouplist test program.

2004-02-10  Matthias Andree <matthias.andree@gmx.de>

	* TODO: crossposts into local groups should be prohibited
	* TODO: Clarify Ivo Schwalbe's article loss bug.
	* TODO: Mark Ivo Schwalbe's article loss bug fixed without further
	tests. (hynek)
	* xoverutil.c: Remove 'cannot lstat' message after 'removing empty
	article file'. Reported by Martin Imlau.

2004-02-09  Matthias Andree <matthias.andree@gmx.de>

	* leafnode-version.c: Print PCRE version.

2004-02-08  Matthias Andree <matthias.andree@gmx.de>

	* fetchnews_check_date.c, filterutil.c, nntpd.c: Kill more static
	forward declarations.
	* activutil.c, rnews.c: Kill unneeded static decl's.
	* miscutil.c: Shuffle code around to eliminate static forward
	decl's.
	* nntpd.c: Eliminate static forward declarations. Make some
	internal functions static.
	* texpire.c: Unexport internal functions.  Rearrange code to
	eliminate forward declarations of internal functions.
	* fetchnews.c: Rearrange code to get rid of forward declarations
	for static functions.
	* TODO, activutil.c, fetchnews_check_date.c: Elimination of all
	sscanf(), courtesy of Hynek Schlawack.

2004-02-06  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, NEWS, configure.ac: snapshot 20040206a

	= snapshot 20040206a =
	* newsq.c: Print whether an article has successfully been posted.
	* fetchnews.c:
	* Mark successfully posted articles with S_IXUSR mode to suppress
	warnings or moving into failed.postings.
	* Move all non-S_IXUSR articles into failed.postings after a run in
	which all servers have successfully been contacted.
	* Fix -S option, broken since leafnode-2-0-0-alpha20040116a. Allows
	to drop some functions.
	* Format string signedness fixes.
	* configure.ac: Support ICC, ignoring AC_FUNC_SETVBUF_REVERSED
	check.
	* ln_log.c, ln_log.h: move "verbose" import into header file.
	* xoverutil.c: Kill dead code. Fix printf format string signedness.
	* texpire.c: Kill dead code. Cast time_t to long before printf.
	* applyfilter.c, miscutil.c, nntpd.c, nntputil.c: Kill dead code.
	* Makefile.am: #include "leafnode.h" in config.c
	* configure.ac: Add -Wsequence-point -Wswitch -Wunused
	-Wuninitialized -Wundef to GCC warning options.

2004-02-05  Matthias Andree <matthias.andree@gmx.de>

	* xoverutil.c: Obtain Bytes: and Lines: from header and from file
	and take whichever is larger, to support delaybody.
	* miscutil.c: Sanity check spooldir option, expect leaf.node
	subdir.

2004-01-31  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, ChangeLog-2003: Split ChangeLog into two files.
	* miscutil.c: Drop extraneous prototype.
	* strutil.c: Drop cruft from TEST body.
	* interesting.c: Drop unused variable now.
	* fetchnews.c: Degrade 'Wrong reply to ARTICLE command' from error
	to notice.
	* xoverutil.c: Drop extraneous declarations.
	* leafnode.h: Clean up, add prototype for writexover.
	* getline.c: Drop prototype, belongs into header.
	* activutil.c: Don't use %lu to sscanf into time_t. Scan into
	unsigned long and then assign. Quiets compiler warning.

2004-01-29  Matthias Andree <matthias.andree@gmx.de>

	* Makefile.am, strutil.c: Fix strutil test mode.
	* draft-ietf-nntpext-base-15.txt: Drop IETF draft.
	* ChangeLog, NEWS, configure.ac: snapshot 20040129a "Sticky Snow"

	= snapshot 20040129a =
	* NEWS, TODO, config.example, config.table, configutil.c,
	fetchnews.c, leafnode.8.in, leafnode.h: Forward port "noactive"
	option from leafnode 1.9.  Drop support for "supplement" option. Use
	"server" instead.

2004-01-28  Matthias Andree <matthias.andree@gmx.de>

	* applyfilter.8.in: Change formatting.
	* applyfilter.8.in: Note that -C mode is local only and does not
	create control messages.

2004-01-27  Matthias Andree <matthias.andree@gmx.de>

	* README-leaf.node: Mention SERVER/SERVER:PORT's mtime used for
	NEWGROUPS.
	* Makefile.am, README-leaf.node, leafnode.spec.in: README-leaf.node
	describes the contents of the leaf.node directory.
	* fetchnews.c: Robustness: Make leaf.node/server[:port]~ files line
	buffered, in order to recover more data in a hard crash.
	* nntpd.c: Use mysetvbuf.
	* Makefile.am, mysetvbuf.c, mysetvbuf.h: New mysetvbuf(). Wrapper
	for setvbuf that handles reversed arguments.
	* tools/lsmac.pl: Add -d option and allow to give files as
	arguments.

2004-01-22  Matthias Andree <matthias.andree@gmx.de>

	* NEWS, newsq.1.in, newsq.c: New newsq -c option that sets its exit
	code depending on whether there are articles spooled in out.going.
	* ChangeLog, NEWS, configure.ac: snapshot 2.0.0.alpha20040122a

	= snapshot 20040122a =
	* NEWS, applyfilter.8.in, applyfilter.c: Add applyfilter -C option
	to cancel message-IDs on command line.
	* artutil.c: document angle brackets requirement for message-id
	passed to delete_article.
	* nntputil.c: Do not log TCP send buffer size. Useless.

2004-01-19  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, NEWS, configure.ac: Snapshot 20040119a.

	= snapshot 20040119a =
	* leafnode-version.c: Fix up the spooldir/lockfile changes that
	caused a segfault.

2004-01-18  Matthias Andree <matthias.andree@gmx.de>

	* Makefile.am: Make sure bindir and sysconfdir aren't empty.

2004-01-17  Matthias Andree <matthias.andree@gmx.de>

	* leafnode.spec.in:
	 List uucp and sendbatch.bash in %files. Reported by Daniel Zwick.
	* configure.ac: Clean up sysconfdir handling. Add GCC flags to
	CFLAGS.
	* Makefile.am: Clean up.

2004-01-16  Matthias Andree <matthias.andree@gmx.de>

	* leafnode.spec.in: Update.
	* ChangeLog, NEWS, configure.ac: Release 20040116a.

	= snapshot 20040116a =
	* Makefile.am, genconfigdefs.awk, genconfigparam_data.awk: Makefile
	cleanup. Do not ship AWK-generated files.
	* b_sortnl.c: Quench compiler warnings in SPARC64.
	* critmem_realloc.c: Add missing variable declaration.
	* Makefile.am, b_sortnl.c, configure.ac, critmem_calloc.c,
	critmem_malloc.c, critmem_realloc.c, malloc.c, realloc.c,
	xoverutil.c: Get rid of rpl_malloc and rpl_realloc cruft.
	* Makefile.am: Do not ship config.c.
	* tools/Makefile.am: Unwedge VPATH build.
	* tools/Makefile.am: Make pod2man non-GNU make friendly.
	* fetchnews.c: Read filterfile earlier, to support paths relative
	to cwd.
	* .cvsignore: add generated file.
	* nntpd.c: Do not leak configuration file location into error
	message.
	* .cvsignore: add filterutil, grouplist
	* minconfig, minfilter: Add minconfig/minfilter for testing
	purposes.
	* nntpd.c, texpire.c: Update initialization.
	* rnews.c: Initialize properly to support -d option.  Read
	filterfile before trying to lock, because attempt_lock() calls
	chdir(). The filterfile might be relative in a minimal test suite
	configuration.
	* newsq.c: Initialize properly to support -d spooldir option.
	* miscutil.c: Split initialization into initvars() and init_post().
	Add new init_failed() function that prints to stderr and exits.
	Drop #ifdef TESTMODE.  Add global variables spooldir and lockfile,
	both char *.  Only drop permissions when root, to let a user use his
	own -d. In preparation of a test suite.  Drop findopt and getoptarg
	cruft, it's not needed for fetchnews any longer.  Support global
	option "-d".
	* fetchnews.c: Bugfix -F option.  Avoid "non-literal format"
	warning (the code was safe, no % could be in the string) when
	printing fetchnews mode, insert "%s".  Initialization updates.
	* checkgroups.c: Use the right file in presence of options.
	Initialize properly to support -d and -F options.  Drop the explicit
	access check, removing a race condition.
	* applyfilter.c: Split initialization, minor clean-ups.
	* lockfile.c: Rename lockfile_exists to attempt_lock.
	* activutil.c, config.table, configutil.c, localutil.c:
	local.groups location now run-time configurable.
	* leafnode.h: Prepare split of initialization and run-time
	configuration of spooldir.  lockfile is derived from spooldir in
	initialization, make non-const.  Rename lockfile_exists to
	attempt_lock.
	* configure.ac: Drop LOCKFILE.
	* Makefile.am: Drop lockfile. Rename config.c's spooldir to
	def_spooldir.
	* ln_log.c, ln_log_open.c: Drop #ifdef TESTMODE.

2004-01-14  Matthias Andree <matthias.andree@gmx.de>

	* nntpd.c: LIST NEWSGROUPS/LIST ACTIVE crashed (NULL dereference)
	when a non-wildcard pattern requested a non-existent group.  Patch
	by Hans-Jürgen Ficker.

2004-01-13  Ralf Wildenhues <ralf.wildenhues@gmx.de>

	* configure.ac: Fix bogus check, adding CFLAGS and LDFLAGS for pcre
	whenever pcre-config returns nonempty flags.  Former grep would most
	likely complain because of argument starting with '-'.

2004-01-08  Matthias Andree <matthias.andree@gmx.de>

	* ChangeLog, NEWS, configure.ac: snapshot 20040108a

	= snapshot 20040108a =
	* fetchnews.c: Log user name when authentication fails.  Patch by
	Samuel Tardieu.

2004-01-06  Matthias Andree <matthias.andree@gmx.de>

	* try-indent.c.orig: Remove unneeded file.
	* reformat.pl: Handle new --version output of GNU indent 2.2.8a.

2004-01-05  Matthias Andree <matthias.andree@gmx.de>

	* leafnode.8.in: Document log_poster_ip. Patch by Samuel Tardieu.
	* nntpd.c: Clean up code a bit, avoid double maock_sa2addr for
	log_sockaddr.
	* config.example, config.table, configutil.c, leafnode.h, nntpd.c:
	Support a new log_poster_ip option that inserts a
	X-Leafnode-NNTP-Posting-Host header. Based on a patch by Samuel
	Tardieu, nntpd.c with modifications.
	* configure.ac: Enhance ./configure --help messages.  Patch by
	Samuel Tardieu.
	* nntputil.c: Log authentication failures with username and server.
	Patch by Samuel Tardieu <sam@rfc1149.net>.

THE REST OF THIS ChangeLog was split into ChangeLog-2003
